**`Eadara Ravi Kumar`[NAME]** -NL- Mobile: **`+91 98495 - 89854`[PHONES_PHONE]** -NL- Email: **`ravikumar.eadara@gmail.com`[EMAILS_EMAIL]** -NL- **`PROFESSIONAL SUMMARY:`[SUMMARY_HEADING]** -NL-  6 years of IT experience with Configuration Management, Deploy, -NL- Build and Release Management, AWS& DevOpsMethodologies. -NL-  Proven experience on create Branching and Tagging concepts in -NL- Version Control tool like GIT. -NL-  Proven experience on Build Tools like Maven. -NL-  Performed installation & configuration of Tomcat application server, -NL- and Apache server. -NL-  Experience on building and deploying Java web applications in Apache -NL- Tomcat. -NL-  Good experience in automating build process using Jenkins tools. -NL-  Proven experience on Jenkins CI tool- Configured Jobs for Nightly & -NL- Milestone builds. -NL-  Proven Good experience in configuration management tools like -NL- Ansible, Knowledge on Chef. -NL-  Hands on experience in creating Ansible playbooks for cloud -NL- automation (AWS) -NL- and Application deployment automation. -NL-  Uploading playbooks to Ansible server and managing those playbooks. -NL-  Experience in working with Amazon Web Services (AWS), Creating EC2 -NL- Instances and configuring all web Services like EC2, S3 bucket, ELB, -NL- IAM through AWS Console. -NL-  Windows system administration automation, including system -NL- monitoring, backups, and storage management -NL-  Worked on Dockers Including Docker Installation, Creating Images and -NL- Containers. -NL-  Expertise in creating DevOps strategy in a mix environment of Linux -NL- (RHEL, CENTOS,) servers along with Amazon Web Services. -NL-  Creating, deleting the users, directories partitions, giving the -NL- permissions in Linux. -NL-  Analyzing application logs in order to determine the possible cause of -NL- issues and reporting errors directly to the Dev team. -NL-  Proven experience on continuous Build and Deployments to multiple -NL- environments like Dev, QA, Performance and UAT. -NL-  Managed daily builds and releases to QA. Debugged build failures and -NL- worked with developers and QA people to resolve related issues. -NL-  Familiar with Software Development Life Cycle (SDLC) processes and -NL- well versed with AGILE methodology -NL-  Well Exposed in Build and Release Systems for Web-Based software -NL- systems. -NL-  Responsible for Creating and maintaining builds and administering -NL- Jenkins and Involved in deployments related activities. -NL- **`EDUCATION:`[EDUCATION_HEADING]** -NL-  **`Master of Computer Applications`[EDUCATION_DEGREE]** (MCA)– 2010 (Regular) - -NL- **`Osmania University AP India`[EDUCATION_INSTITUTE]** -NL-  **`Bachelor’s Degree`[EDUCATION_DEGREE]** in **`Computer Science`[EDUCATION_COURSE]**(B.Sc.)– 2006 (Regular)- -NL- **`Osmania University AP India`[EDUCATION_INSTITUTE]** -NL- **`TECHNICAL SKILLS:`[SKILLS_HEADING]** -NL- Configuration Management Tools : Ansible -NL- CI/CD Tools : Jenkins, Maven -NL- Version Control : Git -NL- Code analysis : SonarQube -NL- Monitoring : Nagios -NL- Application monitoring : Nagios -NL- Virtualization : Vagrant, VirtualBox -NL- Cloud services : Amazon Web Services -NL- Application servers : Tomcat, Jboss -NL- Operating Systems : Linux and Ubuntu -NL- Scripting Languages : Java script, Shell&Perl, Ansible -NL- **`CERTIFICATIONS:`[OTHERS_HEADING]** -NL-  640-802 (Cisco Certified Network Associate (CCNA)- Routing and -NL- Switching) -NL- **`INTERNATIONAL EXPERIENCE`[WORK_EXPERIENCE_HEADING]** -NL- Country: The Netherlands -NL- Duration: 15 days -NL-  Visited Netherlands to attend client meetings and to provide technical -NL- solutions/ and implementation plan for automatingweb applications -NL- deployments on to TAP -NL-  Conducted reviews and possible solutions formonitoring cloud -NL- platform/application issues by auditing the environment -NL-  Conducted a requirement analysis and server farm architecture topology -NL- design for future cloud hosted applications implementation -NL-  Provided Projects domain knowledge transfer to off shore colleagues -NL- **`PROFESSIONAL EXPERIENCE:`[WORK_EXPERIENCE_HEADING]** -NL-  Working as a Senior Software Engineer at **`Accenture`[EMPLOYER_COMPANY_NAME]**, Bangalore from July, -NL- 2018 to till date. -NL-  Worked as a Software Engineer at **`Deloitte`[EMPLOYER_COMPANY_NAME]**, Hyderabad from July, 2013 to -NL- June, 2018. -NL- Company: **`Accenture`[EMPLOYER_COMPANY_NAME]** -NL- Location: Mumbai, India -NL- Position Held: **`Sr. DevOps Engineer`[EMPLOYER_ROLE]** -NL- Duration: -NL- Jul 2018–till date. -NL- Roles and responsibilities: -NL-  Software Configuration management (Build and continuous Integration -NL- using Maven, Jenkins &GIT) -NL-  Created release branches in GIT by GIT Administration including -NL- branching, reporting -NL- and assisting with project and end user support. -NL-  Creating CI/CD pipelines by integrating Git, GitHub, Maven, Jenkins, -NL- Ansible, Monitoring -NL- tools and AWS (provisioning). -NL-  Installed Jenkins on a Linux machine and created a master and slave -NL- configuration to implement multiple parallel builds through a build -NL- farm. . -NL-  Creating War / Earfiles using Maven. -NL-  Perform Build activities using Ant/Maven and Jenkins tool. -NL-  Perform Deployment of Warfiles in Tomcat application servers using -NL- Shell scripts. -NL-  Written Ansible playbooks, to automate installation of Middleware -NL- Infrastructure like Apache Tomcat, JDK and configuration tasks for new -NL- environments etc. -NL-  Automate the build Process Using Jenkins jobs. -NL-  Upload Build artefacts in to Nexus. -NL-  Design and create automated Build and Deployment process. -NL- Environments:Linux (RHEL 6/5), AWS (EC2, S3, VPC, ELB, Cloud Formation, -NL- AMI), Maven, Git, Ansible, GitHub, Jira. -NL- Company: **`Deloitte India Private Ltd`[EMPLOYER_COMPANY_NAME]** -NL- Location: Hyderabad, -NL- India -NL- Position Held:**`Analyst - DevOps Engineer `[EMPLOYER_ROLE]**-NL- Duration: -NL- September 2014 - June 2018 -NL- Roles and responsibilities: -NL-  Hands on experience in installing and administrating CI tools like -NL- Jenkins and GIT, -NL- Environments: Linux, Jenkins, Docker, GIT, Tomcat Server, Apache -NL- Server, Shell Scripts, Ansible, AWS Guidelines and published the -NL- reports. -NL-  Performed a POC to drive Ansible as the core deployment framework -NL- for all the in-house as well as to cloud, creating playbooks. -NL-  Based deployments to Amazon–EC2. -NL-  Responsible for taking the source code and compiling using ANT and -NL- package it in its distributable format, such as a Jar, War, Ear. -NL-  Perform smoke/sanity tests for the applications deployed and also -NL- troubleshoot the application for the issues that arise as part of the -NL- smoke test process. -NL-  Wrote Ansible scripts for doing Deployment and take the Git repository -NL- backups. -NL-  Experience working on Docker hub, creating Docker images and -NL- handling multiple images primarily for middleware installations and -NL- domain configurations. -NL- Environments:Linux (RHEL 6/5), AWS (EC2, S3, VPC, ELB, Cloud Formation, -NL- Route 53, AMI), Maven, Git, Ansible, Docker, GitHub, Jira. -NL- Company: **`Deloitte`[EMPLOYER_COMPANY_NAME]** India Private Ltd -NL- Location: -NL- Hyderabad, India -NL- Position Held: Analyst - Build and Release Engineer -NL- Duration:July 2013 - August 2014 -NL- Roles and responsibilities: -NL-  Responsible for the building and deploying the artefacts into Prod/ -NL- Dev/Staging and Test Environments. -NL-  Management of Customer Requirements and documentation -NL- of the Project Plan as per the requirements. -NL-  Responsible for designing and deploying best SCM processes and -NL- procedures. -NL-  Updated Release reports from change management control. -NL-  Maintained and Administered GITHUB Source Code Tool. -NL-  Created Branches, Labels and performed Merges in Stash and -NL- GITHUB. -NL-  Developed build and Deployment Scripts using MAVEN as build -NL- tools in Jenkins to move from one environment to other -NL- environments. -NL-  Implemented Maven builds to automate JAR and WAR. -NL-  Installed and administered Artifactory repository to deploy the -NL- artefacts generated by Maven and to store the dependent jars, -NL- which are used during the build. -NL-  Integrated GITHUB into Jenkins to automate the code check-out -NL- process. -NL-  Used Jenkins for Automating Builds and Automating Deployments. -NL-  Managed Build results in Jenkins and Deployed using workflows. -NL-  Maintain and track inventory using Jenkins and set alerts when the -NL- servers are full and need attention. -NL-  Developed automation and deployment utilities using Bash -NL-  Worked closely with software developers and DevOps to debug -NL- software and system problems. -NL- Environments: Maven, GIT, Subversion, Jenkins, Linux Shell Scripts, -NL- Apache Web Server, Jfrog Application servers. -NL- 